import sys
import os
import pymel.core as pm
import mayaStartup

_path = os.path.abspath('../../../..')
sys.path.append(os.path.join(_path, 'smartMessage','programs', 'maya_mod'))


def craglMayaMenuUnique01():
    cMenu = pm.menu('cragl', p='MayaWindow', l='cragl', to=1)

    pm.menuItem(p=cMenu,
                l='open SmartMessage',
                c='import mayaStartup;reload(mayaStartup);mayaStartup.showSmartMessage()')
    pm.menuItem(p=cMenu,
                l='open settings',
                c='import mayaStartup;reload(mayaStartup);mayaStartup.showSmartMessageSettings()')

    licMenu = pm.menuItem(p=cMenu, l='license', to=True, sm=True)

    pm.menuItem(p=licMenu,
                l='import license',
                c='import mayaStartup;reload(mayaStartup);mayaStartup.show_manual_activate()')

    pm.menuItem(p=licMenu,
                l='uninstall smartMessage',
                c='import mayaStartup;reload(mayaStartup);mayaStartup.uninstallSmartMessage()')

    pm.menuItem(p=cMenu,
                l='about',
                c='import mayaStartup;reload(mayaStartup);mayaStartup.showAboutWindow()')


pm.evalDeferred('craglMayaMenuUnique01()')
pm.evalDeferred('mayaStartup.showSmartMessage()')
pm.evalDeferred('mayaStartup.add_close_callback()')
